// changed the name from tig_two from tig_den
// 29 jan 00

// *************
// sky
// tig_sky1_detail.tga is modifyied from the S3/diamond maps 
// - all credit to dmm for it (www.diamondmm.com)
// 

textures/tig_den/tig_sky1

{
	qer_editorimage textures/tig_den/tig_sky1
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	//q3map_sun 1 .77 .77 80 315 70
	q3map_sun 1 1 .77 80 315 70

	q3map_surfacelight 130
	skyparms - 384 -
	{
		map textures/tig_den/tig_sky1_fog.jpg
		tcMod scroll 0.03 0.05
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/tig_den/tig_sky1_detail.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.0025 0.003
		tcMod scale 3 2
	}
}


// *************
// potral

textures/tig_den/tig_portal
{
	portal
	q3map_lightimage $lightmap
	surfaceparm nolightmap
	surfaceparm nomarks
	qer_editorimage textures/sfx/mirrorkc.tga

	{
		map textures/common/mirror1.tga
		blendFunc gl_src_alpha gl_one_minus_src_alpha
		depthWrite
	}
	{
		map $lightmap
		map $whiteimage
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/mirrorkc.tga
		blendfunc blend
		alphagen portal 160
		rgbGen identityLighting	
	}
}

// ************
// banner
// couldn't work out how iD did it as the texture was in a 
// mapobjects folder! - so made my own - 6.feb.00

textures/tig_den/tig_red_strgg
{
     	cull disable
     	surfaceparm alphashadow
     	surfaceparm trans	
     	surfaceparm nomarks
	tessSize 64
	q3map_surfacelight 75
		
     	deformVertexes wave 30 sin 0 2.1 0 .5
     	//deformVertexes wave 30 sin 0 1.2 0 .3
     	//deformVertexes wave 30 sin 0 1.5 0 .5
     	//deformVertexes wave 30 sin 0 3 0 .2
     	//deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/tig_den/tig_red_strgg.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}

}

// ************
// gothic detial thingy light :]

textures/tig_den/tig_demon_light
{
       {
		map textures/sfx/firegorre.tga
                tcmod scroll 0 1
                //tcMod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/tig_den/tig_demon_light.tga  
		//map textures/gothic_block/demon_block15fx.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


// ************
// water
// water gave me such a headache! 
// i got nowhere afterdays trying to work out just how water works!
// so i gave up and decided to use an id one :[
// came back to it 24.feb.00
// came back to it 2.mar.00 (after talking to spog)

textures/tig_den/tig_pool1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/tig_den/tig_pool2
	{
		qer_editorimage textures/liquids/pool3d_4b2
		qer_trans .5

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		surfaceparm nomarks

		//q3map_surfacelight 50
		q3map_globaltexture

		cull disable
		//tesssize 64
		tesssize 128
		deformVertexes wave 64 sin 0.25 0.25 0 .5
		{ 
			map textures/liquids/pool3d_6c2.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 .001
		}
		{ 
			map textures/liquids/pool3d_3c2.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
		{
			map textures/liquids/pool3d_4b2.tga
			blendfunc add
			rgbgen identity
			tcmod scale .125 .125	
			tcmod scroll -.005 .015
				
		}
	}


// ************
// windows

// 24 jan 00
// trying to make gothic_wall/dm5_archifin seem back lite

textures/tig_den/tig_goth_window_1
{
	qer_editorimage textures/tig_den/tig_goth_window_1.tga
	q3map_surfacelight 50
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tig_den/tig_goth_window_1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tig_den/tig_goth_window_1.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/tig_den/tig_goth_window_2
{
	qer_editorimage textures/tig_den/tig_goth_window_2.tga
	q3map_surfacelight 50
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tig_den/tig_goth_window_2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tig_den/tig_goth_window_2.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// **************
// wooden flooring

//textures/tig_den/tig_wood
//{
//	//qer_editorimage textures/tig_den/tig_wood.jpg
//	surfaceparm nosteps
//	{
//		map $lightmap
//	}
//	{
//		map textures/tig_den/tig_wood.jpg
//		blendFunc GL_DST_COLOR GL_ONE
//		//blendFunc filter
//	}
//}

textures/tig_den/tig_wood.jpg
{
	surfaceparm nosteps
}

textures/tig_den/tig_weapclip_metal
{
	qer_trans 0.40
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}


// **************
// lights, flames


// 24 jan 00 
// adjusting the light of a flame - thats all :]

//textures/tig_two/tig_flame_3200
textures/sfx/xflame2_2250
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 2250
	qer_editorimage textures/sfx/flame1.tga
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


// ****************************************
// blood floor

textures/tig_den/tig_blood1
{
	qer_editorimage textures/tig_den/tig_blood1

        {
		map textures/liquids/proto_grueldark2.tga
                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll .008 .025
                tcMod turb 0 0.05 0 .05
        }
        //no shiny surface?
	//{
	//	map textures/effects/tinfx3.tga
        //       blendFunc GL_ONE GL_ONE
        //        tcGen environment
        //}
       
	{
	        map textures/tig_den/tig_blood1.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

// ****************************************
// trans textures for hidding sparkles

textures/tig_den/tig_metalsupport4j_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4j.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/gothic_trim/metalsupport4j.jpg
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tig_den/tig_q1metal7_trans
{
	qer_editorimage textures/gothic_trim/q1metal7.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/gothic_trim/q1metal7.jpg
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//****************************************]
// just testing stuff 12 march

textures/tig_den/tig_fog
	{
		qer_editorimage textures/sfx/fog_timdm1.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap
		
		fogparms ( 0.61 0.61 0.61 ) 1600
	}


