//===========================================================================
//
// Name:			tig_c.c
// Function:		Tigger, rank 2
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Hacked by Tigger-oN tigger@ebom.org 28 Jan 00
// version:			1
// Tab Size:		4 (real tabs)
//===========================================================================

#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME							"Tig"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.45
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/tig_w.c"
	CHARACTERISTIC_AIM_SKILL					0.45
	CHARACTERISTIC_AIM_ACCURACY					0.75
	CHARACTERISTIC_VIEW_FACTOR					0.95
	CHARACTERISTIC_VIEW_MAXCHANGE				360
	CHARACTERISTIC_REACTIONTIME					0.5

	CHARACTERISTIC_CHAT_FILE					"bots/tig_t.c"
	CHARACTERISTIC_CHAT_NAME					"tig"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.4
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.5
	CHARACTERISTIC_CHAT_REPLY					0.25

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.95
	CHARACTERISTIC_WEAPONJUMPING				0.05
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/tig_i.c"
	CHARACTERISTIC_AGGRESSION					0.75
	CHARACTERISTIC_SELFPRESERVATION				0.95
	CHARACTERISTIC_VENGEFULNESS					0.95
	CHARACTERISTIC_CAMPER						0.25

	CHARACTERISTIC_EASY_FRAGGER					0.05
	CHARACTERISTIC_ALERTNESS					0.95

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.5
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.5
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.5
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.5
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.5
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.5
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.5

	CHARACTERISTIC_FIRETHROTTLE					0.4
}

skill 4
{
	CHARACTERISTIC_NAME							"Tig"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.95
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/tig_w.c"
	CHARACTERISTIC_AIM_SKILL					0.95
	CHARACTERISTIC_AIM_ACCURACY					0.95
	CHARACTERISTIC_VIEW_FACTOR					0.95
	CHARACTERISTIC_VIEW_MAXCHANGE				360
	CHARACTERISTIC_REACTIONTIME					0.5

	CHARACTERISTIC_CHAT_FILE					"bots/tig_t.c"
	CHARACTERISTIC_CHAT_NAME					"tig"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.4
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.15
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.5
	CHARACTERISTIC_CHAT_REPLY					0.25

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.95
	CHARACTERISTIC_WEAPONJUMPING				0.3
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/tig_i.c"
	CHARACTERISTIC_AGGRESSION					0.75
	CHARACTERISTIC_SELFPRESERVATION				0.95
	CHARACTERISTIC_VENGEFULNESS					0.95
	CHARACTERISTIC_CAMPER						0.25

	CHARACTERISTIC_EASY_FRAGGER					0.05
	CHARACTERISTIC_ALERTNESS					0.95

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.6
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.65
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.85
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.6
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.6
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.85
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.6
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.7
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.6
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.6
	CHARACTERISTIC_AIM_SKILL_BFG10K				0.6

	CHARACTERISTIC_FIRETHROTTLE					0.8
}

skill 5
{
	CHARACTERISTIC_NAME							"Tig"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					1.0
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/tig_w.c"
	CHARACTERISTIC_AIM_SKILL					1.0
	CHARACTERISTIC_AIM_ACCURACY					1.0
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE				360
	CHARACTERISTIC_REACTIONTIME					0.5

	CHARACTERISTIC_CHAT_FILE					"bots/tig_t.c"
	CHARACTERISTIC_CHAT_NAME					"Tig"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.4
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.5
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.5
	CHARACTERISTIC_CHAT_HITTALKING				0.1
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.5
	CHARACTERISTIC_CHAT_REPLY					0.1

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.95
	CHARACTERISTIC_WEAPONJUMPING				0.7
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/tig_i.c"
	CHARACTERISTIC_AGGRESSION					0.75
	CHARACTERISTIC_SELFPRESERVATION				0.98
	CHARACTERISTIC_VENGEFULNESS					0.85
	CHARACTERISTIC_CAMPER						0.25

	CHARACTERISTIC_EASY_FRAGGER					0.5
	CHARACTERISTIC_ALERTNESS					0.95

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		1.0
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		1.0
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		1.0
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			1.0
	CHARACTERISTIC_AIM_SKILL_BFG10K				1.0

	CHARACTERISTIC_FIRETHROTTLE					1.0
}